﻿using System;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using System.ComponentModel;
using System.Collections.ObjectModel;
using TestDataForm.Data;

namespace TestDataForm.ViewModel
{
    public class MainPageViewModel : INotifyPropertyChanged
    {
        public event PropertyChangedEventHandler PropertyChanged;

        private void OnPropertyChanged(string propName)
        {
            if (PropertyChanged != null)
            {
                PropertyChanged(this, new PropertyChangedEventArgs(propName));
            }
        }

        private TestData _testDataSelected = null;
        public TestData TestDataSelected
        {
            get { return _testDataSelected; }
            set { _testDataSelected = value; OnPropertyChanged("TestDataSelected"); }
        }

        private ObservableCollection<TestData> _myData = null;
        public ObservableCollection<TestData> MyData
        {
            get { return _myData; }
            set
            { 
                _myData = value;
                OnPropertyChanged("MyData");
            }
        }

        public MainPageViewModel()
        {
            MyData = new ObservableCollection<TestData>();
            MyData.Add(new TestData() { Name = "Name1", TestText = "TestText1" });
            MyData.Add(new TestData() { Name = "Name2", TestText = "TestText2" });
        }

    }
}
